# -*- coding: EUC-KR -*-

import HtmlStrip
import cgi

def ArticleParse(data):
	lc = 0
	Topic = False
	Author = False
	Homepage = False
	Contents = False
	ContentsEnd = False

	for lines in data:
		if Author is False:
			if '  &nbsp;&nbsp;' in lines:
				AuthorLine = lc + 1
				Author = True
		elif Homepage is False:
			if 'Homepage &nbsp;&nbsp;' in lines:
				HomepageLine = lc + 1
				Homepage = True
		elif Topic is False:
			if '  &nbsp;&nbsp;' in lines:
				TopicLine = lc + 1
				Topic = True
		elif Contents is False:
			if lines.startswith('     <span style=line-height:160%>'):
				ContentsS = lc + 1
				Contents = True
		elif ContentsEnd is False:
			if lines.startswith('     </span>'):
				ContentsE = lc - 1
				ContentsEnd = True
				break
		else:
			pass
		lc +=1
	CON = {}
	#print "AutorLine :" + data[AuthorLine][ data[AuthorLine].find('>') + 1 : -6 ]
	CON["AUTHOR"] = "nobody@nowhere.com (" + HtmlStrip.strip_all_tag(data[AuthorLine].strip()) + ")"
	try:
		#print "HomePageInfo :" + data[HomepageLine].split("'",2)[1]
		CON["HOMEPAGE"] = data[HomepageLine].split("'",2)[1]
	except:
		CON["HOMEPAGE"] = None
	CON["TOPIC"] = HtmlStrip.strip_all_tag(data[TopicLine].strip())
	CON["CONTENTS"] = data[ContentsS:ContentsE]
	return CON

# vim:ts=8:sts=8:sw=8:noexpandtab
